=== debian/control ===
Source: python-yenc
Homepage: https://www.golug.it/yenc.html
Section: python
Priority: optional
Maintainer: JCF Ploemen (jcfp) <linux@jcf.pm>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends:
 debhelper-compat (= 12),
 python3-all-dev,
 dh-python
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/python-team/modules/python-yenc.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-yenc

Package: python3-yenc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Suggests: python-yenc-doc
Description: yEnc encoding/decoding extension (Python 3)
 The yEnc module provides a simple API for raw encoding/decoding of
 yencoded binaries, mainly used when retrieving from or posting to
 Usenet. It is significantly faster than any pure-Python
 implementation.
 .
 This package contains the Python 3 module.

Package: python-yenc-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: python-yenc (<< 0.4.0-3)
Replaces: python-yenc (<< 0.4.0-3)
Description: yEnc encoding/decoding extension for Python (documentation)
 The yEnc module provides a simple API for raw encoding/decoding of
 yencoded binaries.
 .
 This package contains the documentation and examples for yEnc.
