=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# enable all hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME=yenc

%:
	dh $@ --with python3 --buildsys=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} {build_dir}/test/test.py" dh_auto_test
