=== debian/watch ===
version=3
https://www.golug.it/pub/yenc/yenc-(.*).tar.gz
